List Apps
GET
/tenant/{tenantId}/app
const url = 'https://api.exolink.cloud/tenant/example/app';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/app \ --header 'Authorization: Bearer <token>'Get the apps this tenant is entitled to create as a lab
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string
Tenant domain prefix
Responses
Section titled “Responses”List of apps
Media typeapplication/json
Array<object>
An entry in the app catalog the tenant may create as a lab (POST …/lab with appId set).
object
id
App id, passed as appId when creating a lab
string
displayName
App display name
string
description
string
Example
[ { "id": "passthrough" }]Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}